gfqkronecker.h File Reference

Arithmetic on GF(p^k), with dynamic Kronecker substitution. More...

`#include "givaro/givzpz.h"`
`#include "givaro/givzpzInt.h"`
`#include "givaro/gfq.h"`
`#include "givaro/givpower.h"`
`#include <limits>`
`#include <vector>`
`#include <deque>`
Include dependency graph for gfqkronecker.h:

## Data Structures

struct | GFqKronecker< TT, Ints >
| GFqKronecker. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Arithmetic on GF(p^k), with dynamic Kronecker substitution.

Precondition
  k(p-1)^2 < word size